MONGOC_STREAM_GET_BASE_STREAM(3)

NAME
mongoc_stream_get_base_stream() - This function shall fetch the underlying stream for streams that wrap a base stream. Such implementations include mongoc_stream_buffered_t and mongoc_stream_tls_t.

SYNOPSIS

mongoc_stream_t *
mongoc_stream_get_base_stream (mongoc_stream_t *stream);

PARAMETERS

stream
    A mongoc_stream_t \&.

This function shall fetch the underlying stream for streams that wrap a base stream. Such implementations include mongoc_stream_buffered_t and mongoc_stream_tls_t \&.

RETURNS

A mongoc_stream_t or NULL \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.